{% extends "base.html" %}

{% block content %}
	<article class="flexbox_updown flexbox_align-items_center flexbox_justify-content_center">
		<!-- LOGO -->
		<img id="login_logo" src={{ url_for('static', filename='resources/dbCloud_Large.png') }}>

		<!-- FORM -->
		<form action='' id='login' method='POST' novalidate>
			{{ form.hidden_tag() }}
			<div>
				{{ form.username.label }}<br>
				<div>
					{% for error in form.username.errors %}
						<span class='error'>{{ error }}</span>
					{% endfor %}
				</div>
				{{ form.username(autocomplete='off', autofocus=true, size=32) }}
			</div>
			<div>
				{{ form.password.label }}<br>
				<div>
					{% for error in form.password.errors %}
						<span class='error'>{{ error }}</span>
					{% endfor %}
				</div>
				{{ form.password(autocomplete='off', size=32) }}
			</div>
			
			<div>{{ form.remember_me() }} {{ form.remember_me.label }}</div>
		</form>
			<br><div>{{ form.submit(form='login') }}</div>

		<p id='signup'>Don't have an account? <a href={{ url_for('signup') }}>Sign Up</a></p>
	</article>
{% endblock %}
